import { CommonModule } from '@angular/common';
import { FormBuilder } from '@angular/forms';
import { createComponentFactory, Spectator } from '@ngneat/spectator';
import { SharedNotificationChannelControlComponent } from '@shared/notification-channel-control';
import { UiIconModule } from '@ui/icon';

describe('SharedNotificationChannelControlComponent', () => {
  let spectator: Spectator<SharedNotificationChannelControlComponent>;

  const createComponent = createComponentFactory({
    component: SharedNotificationChannelControlComponent,
    imports: [CommonModule, UiIconModule],
    providers: [FormBuilder],
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create', () => {
    expect(spectator.component).toBeTruthy();
  });
});
